export function FlinkSqlLexer(input: any): this;
export class FlinkSqlLexer {
    constructor(input: any);
    _interp: any;
    constructor: typeof FlinkSqlLexer;
    get atn(): any;
    channelNames: string[];
    modeNames: string[];
    literalNames: string[];
    symbolicNames: string[];
    ruleNames: string[];
    grammarFileName: string;
}
export namespace FlinkSqlLexer {
    const EOF: number;
    const SPACE: number;
    const COMMENT_INPUT: number;
    const LINE_COMMENT: number;
    const SELECT: number;
    const FROM: number;
    const ADD: number;
    const AS: number;
    const ALL: number;
    const ANY: number;
    const DISTINCT: number;
    const WHERE: number;
    const GROUP: number;
    const BY: number;
    const GROUPING: number;
    const SETS: number;
    const CUBE: number;
    const ROLLUP: number;
    const ORDER: number;
    const HAVING: number;
    const LIMIT: number;
    const AT: number;
    const OR: number;
    const AND: number;
    const IN: number;
    const NOT: number;
    const NO: number;
    const EXISTS: number;
    const BETWEEN: number;
    const LIKE: number;
    const RLIKE: number;
    const IS: number;
    const TRUE: number;
    const FALSE: number;
    const NULLS: number;
    const ASC: number;
    const DESC: number;
    const FOR: number;
    const INTERVAL: number;
    const CASE: number;
    const WHEN: number;
    const THEN: number;
    const ELSE: number;
    const END: number;
    const JOIN: number;
    const CROSS: number;
    const OUTER: number;
    const INNER: number;
    const LEFT: number;
    const SEMI: number;
    const RIGHT: number;
    const FULL: number;
    const NATURAL: number;
    const ON: number;
    const PIVOT: number;
    const LATERAL: number;
    const WINDOW: number;
    const OVER: number;
    const PARTITION: number;
    const RANGE: number;
    const ROWS: number;
    const UNBOUNDED: number;
    const PRECEDING: number;
    const FOLLOWING: number;
    const CURRENT: number;
    const FIRST: number;
    const AFTER: number;
    const LAST: number;
    const WITH: number;
    const VALUES: number;
    const CREATE: number;
    const TABLE: number;
    const DIRECTORY: number;
    const VIEW: number;
    const REPLACE: number;
    const INSERT: number;
    const DELETE: number;
    const INTO: number;
    const DESCRIBE: number;
    const EXPLAIN: number;
    const FORMAT: number;
    const LOGICAL: number;
    const CODEGEN: number;
    const COST: number;
    const CAST: number;
    const SHOW: number;
    const TABLES: number;
    const COLUMNS: number;
    const COLUMN: number;
    const USE: number;
    const PARTITIONS: number;
    const FUNCTIONS: number;
    const DROP: number;
    const UNION: number;
    const EXCEPT: number;
    const SETMINUS: number;
    const INTERSECT: number;
    const TO: number;
    const TABLESAMPLE: number;
    const STRATIFY: number;
    const ALTER: number;
    const RENAME: number;
    const STRUCT: number;
    const COMMENT: number;
    const SET: number;
    const RESET: number;
    const DATA: number;
    const START: number;
    const TRANSACTION: number;
    const COMMIT: number;
    const ROLLBACK: number;
    const MACRO: number;
    const IGNORE: number;
    const BOTH: number;
    const LEADING: number;
    const TRAILING: number;
    const IF: number;
    const POSITION: number;
    const EXTRACT: number;
    const MINUS: number;
    const DIV: number;
    const PERCENTLIT: number;
    const BUCKET: number;
    const OUT: number;
    const OF: number;
    const SORT: number;
    const CLUSTER: number;
    const DISTRIBUTE: number;
    const OVERWRITE: number;
    const TRANSFORM: number;
    const REDUCE: number;
    const USING: number;
    const SERDE: number;
    const SERDEPROPERTIES: number;
    const RECORDREADER: number;
    const RECORDWRITER: number;
    const DELIMITED: number;
    const FIELDS: number;
    const TERMINATED: number;
    const COLLECTION: number;
    const ITEMS: number;
    const KEYS: number;
    const ESCAPED: number;
    const LINES: number;
    const SEPARATED: number;
    const FUNCTION: number;
    const EXTENDED: number;
    const REFRESH: number;
    const CLEAR: number;
    const CACHE: number;
    const UNCACHE: number;
    const LAZY: number;
    const FORMATTED: number;
    const GLOBAL: number;
    const TEMPORARY: number;
    const OPTIONS: number;
    const UNSET: number;
    const TBLPROPERTIES: number;
    const DBPROPERTIES: number;
    const BUCKETS: number;
    const SKEWED: number;
    const STORED: number;
    const DIRECTORIES: number;
    const LOCATION: number;
    const EXCHANGE: number;
    const ARCHIVE: number;
    const UNARCHIVE: number;
    const FILEFORMAT: number;
    const TOUCH: number;
    const COMPACT: number;
    const CONCATENATE: number;
    const CHANGE: number;
    const CASCADE: number;
    const CONSTRAINT: number;
    const RESTRICT: number;
    const CLUSTERED: number;
    const SORTED: number;
    const PURGE: number;
    const INPUTFORMAT: number;
    const OUTPUTFORMAT: number;
    const DATABASE: number;
    const DATABASES: number;
    const DFS: number;
    const TRUNCATE: number;
    const ANALYZE: number;
    const COMPUTE: number;
    const LIST: number;
    const STATISTICS: number;
    const PARTITIONED: number;
    const EXTERNAL: number;
    const DEFINED: number;
    const REVOKE: number;
    const GRANT: number;
    const LOCK: number;
    const UNLOCK: number;
    const MSCK: number;
    const REPAIR: number;
    const RECOVER: number;
    const EXPORT: number;
    const IMPORT: number;
    const LOAD: number;
    const ROLE: number;
    const ROLES: number;
    const COMPACTIONS: number;
    const PRINCIPALS: number;
    const TRANSACTIONS: number;
    const INDEX: number;
    const INDEXES: number;
    const LOCKS: number;
    const OPTION: number;
    const ANTI: number;
    const LOCAL: number;
    const INPATH: number;
    const WATERMARK: number;
    const UNNEST: number;
    const MATCH: number;
    const NEXT: number;
    const WITHIN: number;
    const WS: number;
    const SYSTEM: number;
    const INCLUDING: number;
    const EXCLUDING: number;
    const OVERWRITING: number;
    const CONSTRAINTS: number;
    const GENERATED: number;
    const WATERMARKS: number;
    const CATALOG: number;
    const LANGUAGE: number;
    const CATALOGS: number;
    const VIEWS: number;
    const PRIMARY: number;
    const KEY: number;
    const PERIOD: number;
    const SYSTEM_TIME: number;
    const ENFORCED: number;
    const METADATA: number;
    const VIRTUAL: number;
    const STRING: number;
    const ARRAY: number;
    const MAP: number;
    const CHAR: number;
    const VARCHAR: number;
    const BINARY: number;
    const VARBINARY: number;
    const BYTES: number;
    const DECIMAL: number;
    const DEC: number;
    const NUMERIC: number;
    const TINYINT: number;
    const SMALLINT: number;
    const INT: number;
    const INTEGER: number;
    const BIGINT: number;
    const FLOAT: number;
    const DOUBLE: number;
    const DATE: number;
    const TIME: number;
    const TIMESTAMP: number;
    const TIMESTAMP_LTZ: number;
    const MULTISET: number;
    const BOOLEAN: number;
    const RAW: number;
    const ROW: number;
    const NULL: number;
    const DATETIME: number;
    const EQUAL_SYMBOL: number;
    const GREATER_SYMBOL: number;
    const LESS_SYMBOL: number;
    const EXCLAMATION_SYMBOL: number;
    const BIT_NOT_OP: number;
    const BIT_OR_OP: number;
    const BIT_AND_OP: number;
    const BIT_XOR_OP: number;
    const DOT: number;
    const LS_BRACKET: number;
    const RS_BRACKET: number;
    const LR_BRACKET: number;
    const RR_BRACKET: number;
    const COMMA: number;
    const SEMICOLON: number;
    const AT_SIGN: number;
    const SINGLE_QUOTE_SYMB: number;
    const DOUBLE_QUOTE_SYMB: number;
    const REVERSE_QUOTE_SYMB: number;
    const COLON_SYMB: number;
    const ASTERISK_SIGN: number;
    const UNDERLINE_SIGN: number;
    const HYPNEN_SIGN: number;
    const ADD_SIGN: number;
    const PENCENT_SIGN: number;
    const DOUBLE_VERTICAL_SIGN: number;
    const DOUBLE_HYPNEN_SIGN: number;
    const SLASH_SIGN: number;
    const DOT_ID: number;
    const PLUS_DOT_ID: number;
    const STRING_LITERAL: number;
    const DIG_LITERAL: number;
    const REAL_LITERAL: number;
    const BIT_STRING: number;
    const ID_LITERAL: number;
    const PLUS_ID_LITERAL: number;
}
