export function SqlLexer(input: any): this;
export class SqlLexer {
    constructor(input: any);
    _interp: any;
    constructor: typeof SqlLexer;
    get atn(): any;
    channelNames: string[];
    modeNames: string[];
    literalNames: string[];
    symbolicNames: string[];
    ruleNames: string[];
    grammarFileName: string;
}
export namespace SqlLexer {
    const EOF: number;
    const SPACE: number;
    const SPEC_MYSQL_COMMENT: number;
    const COMMENT_INPUT: number;
    const LINE_COMMENT: number;
    const ADD: number;
    const ALL: number;
    const ALTER: number;
    const ALWAYS: number;
    const ANALYZE: number;
    const AND: number;
    const AS: number;
    const ASC: number;
    const BEFORE: number;
    const BETWEEN: number;
    const BOTH: number;
    const BY: number;
    const CALL: number;
    const CASCADE: number;
    const CASE: number;
    const CAST: number;
    const CHANGE: number;
    const CHARACTER: number;
    const CHECK: number;
    const COLLATE: number;
    const COLUMN: number;
    const CONDITION: number;
    const CONSTRAINT: number;
    const CONTINUE: number;
    const CONVERT: number;
    const CREATE: number;
    const CROSS: number;
    const CURRENT: number;
    const CURRENT_USER: number;
    const CURSOR: number;
    const DATABASE: number;
    const DATABASES: number;
    const DECLARE: number;
    const DEFAULT: number;
    const DELAYED: number;
    const DELETE: number;
    const DESC: number;
    const DESCRIBE: number;
    const DETERMINISTIC: number;
    const DIAGNOSTICS: number;
    const DISTINCT: number;
    const DISTINCTROW: number;
    const DROP: number;
    const EACH: number;
    const ELSE: number;
    const ELSEIF: number;
    const ENCLOSED: number;
    const ESCAPED: number;
    const EXISTS: number;
    const EXIT: number;
    const EXPLAIN: number;
    const FALSE: number;
    const FETCH: number;
    const FOR: number;
    const FORCE: number;
    const FOREIGN: number;
    const FROM: number;
    const FULLTEXT: number;
    const GENERATED: number;
    const GET: number;
    const GRANT: number;
    const GROUP: number;
    const HAVING: number;
    const HIGH_PRIORITY: number;
    const IF: number;
    const IGNORE: number;
    const IN: number;
    const INDEX: number;
    const INFILE: number;
    const INNER: number;
    const INOUT: number;
    const INSERT: number;
    const INTERVAL: number;
    const INTO: number;
    const IS: number;
    const ITERATE: number;
    const JOIN: number;
    const KEY: number;
    const KEYS: number;
    const KILL: number;
    const LEADING: number;
    const LEAVE: number;
    const LEFT: number;
    const LIKE: number;
    const LIMIT: number;
    const LINEAR: number;
    const LINES: number;
    const LOAD: number;
    const LOCK: number;
    const LOOP: number;
    const LOW_PRIORITY: number;
    const MASTER_BIND: number;
    const MASTER_SSL_VERIFY_SERVER_CERT: number;
    const MATCH: number;
    const MAXVALUE: number;
    const MODIFIES: number;
    const NATURAL: number;
    const NOT: number;
    const NO_WRITE_TO_BINLOG: number;
    const NULL_LITERAL: number;
    const NUMBER: number;
    const ON: number;
    const OPTIMIZE: number;
    const OPTION: number;
    const OPTIONALLY: number;
    const OR: number;
    const ORDER: number;
    const OUT: number;
    const OUTER: number;
    const OUTFILE: number;
    const PARTITION: number;
    const PRIMARY: number;
    const PROCEDURE: number;
    const PURGE: number;
    const RANGE: number;
    const READ: number;
    const READS: number;
    const REFERENCES: number;
    const REGEXP: number;
    const RELEASE: number;
    const RENAME: number;
    const REPEAT: number;
    const REPLACE: number;
    const REQUIRE: number;
    const RESIGNAL: number;
    const RESTRICT: number;
    const RETURN: number;
    const REVOKE: number;
    const RIGHT: number;
    const RLIKE: number;
    const SCHEMA: number;
    const SCHEMAS: number;
    const SELECT: number;
    const SET: number;
    const SEPARATOR: number;
    const SHOW: number;
    const SIGNAL: number;
    const SPATIAL: number;
    const SQL: number;
    const SQLEXCEPTION: number;
    const SQLSTATE: number;
    const SQLWARNING: number;
    const SQL_BIG_RESULT: number;
    const SQL_CALC_FOUND_ROWS: number;
    const SQL_SMALL_RESULT: number;
    const SSL: number;
    const STACKED: number;
    const STARTING: number;
    const STRAIGHT_JOIN: number;
    const TABLE: number;
    const TERMINATED: number;
    const THEN: number;
    const TO: number;
    const TRAILING: number;
    const TRIGGER: number;
    const TRUE: number;
    const UNDO: number;
    const UNION: number;
    const UNIQUE: number;
    const UNLOCK: number;
    const UNSIGNED: number;
    const UPDATE: number;
    const USAGE: number;
    const USE: number;
    const USING: number;
    const VALUES: number;
    const WHEN: number;
    const WHERE: number;
    const WHILE: number;
    const WITH: number;
    const WRITE: number;
    const XOR: number;
    const ZEROFILL: number;
    const TINYINT: number;
    const SMALLINT: number;
    const MEDIUMINT: number;
    const MIDDLEINT: number;
    const INT: number;
    const INT1: number;
    const INT2: number;
    const INT3: number;
    const INT4: number;
    const INT8: number;
    const INTEGER: number;
    const BIGINT: number;
    const REAL: number;
    const DOUBLE: number;
    const PRECISION: number;
    const FLOAT: number;
    const FLOAT4: number;
    const FLOAT8: number;
    const DECIMAL: number;
    const DEC: number;
    const NUMERIC: number;
    const DATE: number;
    const TIME: number;
    const TIMESTAMP: number;
    const DATETIME: number;
    const YEAR: number;
    const CHAR: number;
    const VARCHAR: number;
    const NVARCHAR: number;
    const NATIONAL: number;
    const BINARY: number;
    const VARBINARY: number;
    const TINYBLOB: number;
    const BLOB: number;
    const MEDIUMBLOB: number;
    const LONG: number;
    const LONGBLOB: number;
    const TINYTEXT: number;
    const TEXT: number;
    const MEDIUMTEXT: number;
    const LONGTEXT: number;
    const ENUM: number;
    const VARYING: number;
    const SERIAL: number;
    const YEAR_MONTH: number;
    const DAY_HOUR: number;
    const DAY_MINUTE: number;
    const DAY_SECOND: number;
    const HOUR_MINUTE: number;
    const HOUR_SECOND: number;
    const MINUTE_SECOND: number;
    const SECOND_MICROSECOND: number;
    const MINUTE_MICROSECOND: number;
    const HOUR_MICROSECOND: number;
    const DAY_MICROSECOND: number;
    const JSON_VALID: number;
    const JSON_SCHEMA_VALID: number;
    const AVG: number;
    const BIT_AND: number;
    const BIT_OR: number;
    const BIT_XOR: number;
    const COUNT: number;
    const GROUP_CONCAT: number;
    const MAX: number;
    const MIN: number;
    const STD: number;
    const STDDEV: number;
    const STDDEV_POP: number;
    const STDDEV_SAMP: number;
    const SUM: number;
    const VAR_POP: number;
    const VAR_SAMP: number;
    const VARIANCE: number;
    const CURRENT_DATE: number;
    const CURRENT_TIME: number;
    const CURRENT_TIMESTAMP: number;
    const LOCALTIME: number;
    const CURDATE: number;
    const CURTIME: number;
    const DATE_ADD: number;
    const DATE_SUB: number;
    const EXTRACT: number;
    const LOCALTIMESTAMP: number;
    const NOW: number;
    const POSITION: number;
    const SUBSTR: number;
    const SUBSTRING: number;
    const SYSDATE: number;
    const TRIM: number;
    const UTC_DATE: number;
    const UTC_TIME: number;
    const UTC_TIMESTAMP: number;
    const ACCOUNT: number;
    const ACTION: number;
    const AFTER: number;
    const AGGREGATE: number;
    const ALGORITHM: number;
    const ANY: number;
    const AT: number;
    const AUTHORS: number;
    const AUTOCOMMIT: number;
    const AUTOEXTEND_SIZE: number;
    const AUTO_INCREMENT: number;
    const AVG_ROW_LENGTH: number;
    const BEGIN: number;
    const BINLOG: number;
    const BIT: number;
    const BLOCK: number;
    const BOOL: number;
    const BOOLEAN: number;
    const BTREE: number;
    const CACHE: number;
    const CASCADED: number;
    const CHAIN: number;
    const CHANGED: number;
    const CHANNEL: number;
    const CHECKSUM: number;
    const PAGE_CHECKSUM: number;
    const CIPHER: number;
    const CLASS_ORIGIN: number;
    const CLIENT: number;
    const CLOSE: number;
    const COALESCE: number;
    const CODE: number;
    const COLUMNS: number;
    const COLUMN_FORMAT: number;
    const COLUMN_NAME: number;
    const COMMENT: number;
    const COMMIT: number;
    const COMPACT: number;
    const COMPLETION: number;
    const COMPRESSED: number;
    const COMPRESSION: number;
    const CONCURRENT: number;
    const CONNECTION: number;
    const CONSISTENT: number;
    const CONSTRAINT_CATALOG: number;
    const CONSTRAINT_SCHEMA: number;
    const CONSTRAINT_NAME: number;
    const CONTAINS: number;
    const CONTEXT: number;
    const CONTRIBUTORS: number;
    const COPY: number;
    const CPU: number;
    const CURSOR_NAME: number;
    const DATA: number;
    const DATAFILE: number;
    const DEALLOCATE: number;
    const DEFAULT_AUTH: number;
    const DEFINER: number;
    const DELAY_KEY_WRITE: number;
    const DES_KEY_FILE: number;
    const DIRECTORY: number;
    const DISABLE: number;
    const DISCARD: number;
    const DISK: number;
    const DO: number;
    const DUMPFILE: number;
    const DUPLICATE: number;
    const DYNAMIC: number;
    const ENABLE: number;
    const ENCRYPTION: number;
    const END: number;
    const ENDS: number;
    const ENGINE: number;
    const ENGINES: number;
    const ERROR: number;
    const ERRORS: number;
    const ESCAPE: number;
    const EVEN: number;
    const EVENT: number;
    const EVENTS: number;
    const EVERY: number;
    const EXCHANGE: number;
    const EXCLUSIVE: number;
    const EXPIRE: number;
    const EXPORT: number;
    const EXTENDED: number;
    const EXTENT_SIZE: number;
    const FAST: number;
    const FAULTS: number;
    const FIELDS: number;
    const FILE_BLOCK_SIZE: number;
    const FILTER: number;
    const FIRST: number;
    const FIXED: number;
    const FLUSH: number;
    const FOLLOWS: number;
    const FOUND: number;
    const FULL: number;
    const FUNCTION: number;
    const GENERAL: number;
    const GLOBAL: number;
    const GRANTS: number;
    const GROUP_REPLICATION: number;
    const HANDLER: number;
    const HASH: number;
    const HELP: number;
    const HOST: number;
    const HOSTS: number;
    const IDENTIFIED: number;
    const IGNORE_SERVER_IDS: number;
    const IMPORT: number;
    const INDEXES: number;
    const INITIAL_SIZE: number;
    const INPLACE: number;
    const INSERT_METHOD: number;
    const INSTALL: number;
    const INSTANCE: number;
    const INVISIBLE: number;
    const INVOKER: number;
    const IO: number;
    const IO_THREAD: number;
    const IPC: number;
    const ISOLATION: number;
    const ISSUER: number;
    const JSON: number;
    const KEY_BLOCK_SIZE: number;
    const LANGUAGE: number;
    const LAST: number;
    const LEAVES: number;
    const LESS: number;
    const LEVEL: number;
    const LIST: number;
    const LOCAL: number;
    const LOGFILE: number;
    const LOGS: number;
    const MASTER: number;
    const MASTER_AUTO_POSITION: number;
    const MASTER_CONNECT_RETRY: number;
    const MASTER_DELAY: number;
    const MASTER_HEARTBEAT_PERIOD: number;
    const MASTER_HOST: number;
    const MASTER_LOG_FILE: number;
    const MASTER_LOG_POS: number;
    const MASTER_PASSWORD: number;
    const MASTER_PORT: number;
    const MASTER_RETRY_COUNT: number;
    const MASTER_SSL: number;
    const MASTER_SSL_CA: number;
    const MASTER_SSL_CAPATH: number;
    const MASTER_SSL_CERT: number;
    const MASTER_SSL_CIPHER: number;
    const MASTER_SSL_CRL: number;
    const MASTER_SSL_CRLPATH: number;
    const MASTER_SSL_KEY: number;
    const MASTER_TLS_VERSION: number;
    const MASTER_USER: number;
    const MAX_CONNECTIONS_PER_HOUR: number;
    const MAX_QUERIES_PER_HOUR: number;
    const MAX_ROWS: number;
    const MAX_SIZE: number;
    const MAX_UPDATES_PER_HOUR: number;
    const MAX_USER_CONNECTIONS: number;
    const MEDIUM: number;
    const MERGE: number;
    const MESSAGE_TEXT: number;
    const MID: number;
    const MIGRATE: number;
    const MIN_ROWS: number;
    const MODE: number;
    const MODIFY: number;
    const MUTEX: number;
    const MYSQL: number;
    const MYSQL_ERRNO: number;
    const NAME: number;
    const NAMES: number;
    const NCHAR: number;
    const NEVER: number;
    const NEXT: number;
    const NO: number;
    const NODEGROUP: number;
    const NONE: number;
    const OFFLINE: number;
    const OFFSET: number;
    const OJ: number;
    const OLD_PASSWORD: number;
    const ONE: number;
    const ONLINE: number;
    const ONLY: number;
    const OPEN: number;
    const OPTIMIZER_COSTS: number;
    const OPTIONS: number;
    const OWNER: number;
    const PACK_KEYS: number;
    const PAGE: number;
    const PARSER: number;
    const PARTIAL: number;
    const PARTITIONING: number;
    const PARTITIONS: number;
    const PASSWORD: number;
    const PHASE: number;
    const PLUGIN: number;
    const PLUGIN_DIR: number;
    const PLUGINS: number;
    const PORT: number;
    const PRECEDES: number;
    const PREPARE: number;
    const PRESERVE: number;
    const PREV: number;
    const PROCESSLIST: number;
    const PROFILE: number;
    const PROFILES: number;
    const PROXY: number;
    const QUERY: number;
    const QUICK: number;
    const REBUILD: number;
    const RECOVER: number;
    const REDO_BUFFER_SIZE: number;
    const REDUNDANT: number;
    const RELAY: number;
    const RELAY_LOG_FILE: number;
    const RELAY_LOG_POS: number;
    const RELAYLOG: number;
    const REMOVE: number;
    const REORGANIZE: number;
    const REPAIR: number;
    const REPLICATE_DO_DB: number;
    const REPLICATE_DO_TABLE: number;
    const REPLICATE_IGNORE_DB: number;
    const REPLICATE_IGNORE_TABLE: number;
    const REPLICATE_REWRITE_DB: number;
    const REPLICATE_WILD_DO_TABLE: number;
    const REPLICATE_WILD_IGNORE_TABLE: number;
    const REPLICATION: number;
    const RESET: number;
    const RESUME: number;
    const RETURNED_SQLSTATE: number;
    const RETURNS: number;
    const ROLE: number;
    const ROLLBACK: number;
    const ROLLUP: number;
    const ROTATE: number;
    const ROW: number;
    const ROWS: number;
    const ROW_FORMAT: number;
    const SAVEPOINT: number;
    const SCHEDULE: number;
    const SECURITY: number;
    const SERVER: number;
    const SESSION: number;
    const SHARE: number;
    const SHARED: number;
    const SIGNED: number;
    const SIMPLE: number;
    const SLAVE: number;
    const SLOW: number;
    const SNAPSHOT: number;
    const SOCKET: number;
    const SOME: number;
    const SONAME: number;
    const SOUNDS: number;
    const SOURCE: number;
    const SQL_AFTER_GTIDS: number;
    const SQL_AFTER_MTS_GAPS: number;
    const SQL_BEFORE_GTIDS: number;
    const SQL_BUFFER_RESULT: number;
    const SQL_CACHE: number;
    const SQL_NO_CACHE: number;
    const SQL_THREAD: number;
    const START: number;
    const STARTS: number;
    const STATS_AUTO_RECALC: number;
    const STATS_PERSISTENT: number;
    const STATS_SAMPLE_PAGES: number;
    const STATUS: number;
    const STOP: number;
    const STORAGE: number;
    const STORED: number;
    const STRING: number;
    const SUBCLASS_ORIGIN: number;
    const SUBJECT: number;
    const SUBPARTITION: number;
    const SUBPARTITIONS: number;
    const SUSPEND: number;
    const SWAPS: number;
    const SWITCHES: number;
    const TABLE_NAME: number;
    const TABLESPACE: number;
    const TEMPORARY: number;
    const TEMPTABLE: number;
    const THAN: number;
    const TRADITIONAL: number;
    const TRANSACTION: number;
    const TRANSACTIONAL: number;
    const TRIGGERS: number;
    const TRUNCATE: number;
    const UNDEFINED: number;
    const UNDOFILE: number;
    const UNDO_BUFFER_SIZE: number;
    const UNINSTALL: number;
    const UNKNOWN: number;
    const UNTIL: number;
    const UPGRADE: number;
    const USER: number;
    const USE_FRM: number;
    const USER_RESOURCES: number;
    const VALIDATION: number;
    const VALUE: number;
    const VARIABLES: number;
    const VIEW: number;
    const VIRTUAL: number;
    const VISIBLE: number;
    const WAIT: number;
    const WARNINGS: number;
    const WITHOUT: number;
    const WORK: number;
    const WRAPPER: number;
    const X509: number;
    const XA: number;
    const XML: number;
    const EUR: number;
    const USA: number;
    const JIS: number;
    const ISO: number;
    const INTERNAL: number;
    const QUARTER: number;
    const MONTH: number;
    const DAY: number;
    const HOUR: number;
    const MINUTE: number;
    const WEEK: number;
    const SECOND: number;
    const MICROSECOND: number;
    const TABLES: number;
    const ROUTINE: number;
    const EXECUTE: number;
    const FILE: number;
    const PROCESS: number;
    const RELOAD: number;
    const SHUTDOWN: number;
    const SUPER: number;
    const PRIVILEGES: number;
    const APPLICATION_PASSWORD_ADMIN: number;
    const AUDIT_ADMIN: number;
    const BACKUP_ADMIN: number;
    const BINLOG_ADMIN: number;
    const BINLOG_ENCRYPTION_ADMIN: number;
    const CLONE_ADMIN: number;
    const CONNECTION_ADMIN: number;
    const ENCRYPTION_KEY_ADMIN: number;
    const FIREWALL_ADMIN: number;
    const FIREWALL_USER: number;
    const GROUP_REPLICATION_ADMIN: number;
    const INNODB_REDO_LOG_ARCHIVE: number;
    const NDB_STORED_USER: number;
    const PERSIST_RO_VARIABLES_ADMIN: number;
    const REPLICATION_APPLIER: number;
    const REPLICATION_SLAVE_ADMIN: number;
    const RESOURCE_GROUP_ADMIN: number;
    const RESOURCE_GROUP_USER: number;
    const ROLE_ADMIN: number;
    const SESSION_VARIABLES_ADMIN: number;
    const SET_USER_ID: number;
    const SHOW_ROUTINE: number;
    const SYSTEM_VARIABLES_ADMIN: number;
    const TABLE_ENCRYPTION_ADMIN: number;
    const VERSION_TOKEN_ADMIN: number;
    const XA_RECOVER_ADMIN: number;
    const ARMSCII8: number;
    const ASCII: number;
    const BIG5: number;
    const CP1250: number;
    const CP1251: number;
    const CP1256: number;
    const CP1257: number;
    const CP850: number;
    const CP852: number;
    const CP866: number;
    const CP932: number;
    const DEC8: number;
    const EUCJPMS: number;
    const EUCKR: number;
    const GB2312: number;
    const GBK: number;
    const GEOSTD8: number;
    const GREEK: number;
    const HEBREW: number;
    const HP8: number;
    const KEYBCS2: number;
    const KOI8R: number;
    const KOI8U: number;
    const LATIN1: number;
    const LATIN2: number;
    const LATIN5: number;
    const LATIN7: number;
    const MACCE: number;
    const MACROMAN: number;
    const SJIS: number;
    const SWE7: number;
    const TIS620: number;
    const UCS2: number;
    const UJIS: number;
    const UTF16: number;
    const UTF16LE: number;
    const UTF32: number;
    const UTF8: number;
    const UTF8MB3: number;
    const UTF8MB4: number;
    const ARCHIVE: number;
    const BLACKHOLE: number;
    const CSV: number;
    const FEDERATED: number;
    const INNODB: number;
    const MEMORY: number;
    const MRG_MYISAM: number;
    const MYISAM: number;
    const NDB: number;
    const NDBCLUSTER: number;
    const PERFORMANCE_SCHEMA: number;
    const TOKUDB: number;
    const REPEATABLE: number;
    const COMMITTED: number;
    const UNCOMMITTED: number;
    const SERIALIZABLE: number;
    const GEOMETRYCOLLECTION: number;
    const GEOMCOLLECTION: number;
    const GEOMETRY: number;
    const LINESTRING: number;
    const MULTILINESTRING: number;
    const MULTIPOINT: number;
    const MULTIPOLYGON: number;
    const POINT: number;
    const POLYGON: number;
    const ABS: number;
    const ACOS: number;
    const ADDDATE: number;
    const ADDTIME: number;
    const AES_DECRYPT: number;
    const AES_ENCRYPT: number;
    const AREA: number;
    const ASBINARY: number;
    const ASIN: number;
    const ASTEXT: number;
    const ASWKB: number;
    const ASWKT: number;
    const ASYMMETRIC_DECRYPT: number;
    const ASYMMETRIC_DERIVE: number;
    const ASYMMETRIC_ENCRYPT: number;
    const ASYMMETRIC_SIGN: number;
    const ASYMMETRIC_VERIFY: number;
    const ATAN: number;
    const ATAN2: number;
    const BENCHMARK: number;
    const BIN: number;
    const BIT_COUNT: number;
    const BIT_LENGTH: number;
    const BUFFER: number;
    const CATALOG_NAME: number;
    const CEIL: number;
    const CEILING: number;
    const CENTROID: number;
    const CHARACTER_LENGTH: number;
    const CHARSET: number;
    const CHAR_LENGTH: number;
    const COERCIBILITY: number;
    const COLLATION: number;
    const COMPRESS: number;
    const CONCAT: number;
    const CONCAT_WS: number;
    const CONNECTION_ID: number;
    const CONV: number;
    const CONVERT_TZ: number;
    const COS: number;
    const COT: number;
    const CRC32: number;
    const CREATE_ASYMMETRIC_PRIV_KEY: number;
    const CREATE_ASYMMETRIC_PUB_KEY: number;
    const CREATE_DH_PARAMETERS: number;
    const CREATE_DIGEST: number;
    const CROSSES: number;
    const DATEDIFF: number;
    const DATE_FORMAT: number;
    const DAYNAME: number;
    const DAYOFMONTH: number;
    const DAYOFWEEK: number;
    const DAYOFYEAR: number;
    const DECODE: number;
    const DEGREES: number;
    const DES_DECRYPT: number;
    const DES_ENCRYPT: number;
    const DIMENSION: number;
    const DISJOINT: number;
    const ELT: number;
    const ENCODE: number;
    const ENCRYPT: number;
    const ENDPOINT: number;
    const ENVELOPE: number;
    const EQUALS: number;
    const EXP: number;
    const EXPORT_SET: number;
    const EXTERIORRING: number;
    const EXTRACTVALUE: number;
    const FIELD: number;
    const FIND_IN_SET: number;
    const FLOOR: number;
    const FORMAT: number;
    const FOUND_ROWS: number;
    const FROM_BASE64: number;
    const FROM_DAYS: number;
    const FROM_UNIXTIME: number;
    const GEOMCOLLFROMTEXT: number;
    const GEOMCOLLFROMWKB: number;
    const GEOMETRYCOLLECTIONFROMTEXT: number;
    const GEOMETRYCOLLECTIONFROMWKB: number;
    const GEOMETRYFROMTEXT: number;
    const GEOMETRYFROMWKB: number;
    const GEOMETRYN: number;
    const GEOMETRYTYPE: number;
    const GEOMFROMTEXT: number;
    const GEOMFROMWKB: number;
    const GET_FORMAT: number;
    const GET_LOCK: number;
    const GLENGTH: number;
    const GREATEST: number;
    const GTID_SUBSET: number;
    const GTID_SUBTRACT: number;
    const HEX: number;
    const IFNULL: number;
    const INET6_ATON: number;
    const INET6_NTOA: number;
    const INET_ATON: number;
    const INET_NTOA: number;
    const INSTR: number;
    const INTERIORRINGN: number;
    const INTERSECTS: number;
    const ISCLOSED: number;
    const ISEMPTY: number;
    const ISNULL: number;
    const ISSIMPLE: number;
    const IS_FREE_LOCK: number;
    const IS_IPV4: number;
    const IS_IPV4_COMPAT: number;
    const IS_IPV4_MAPPED: number;
    const IS_IPV6: number;
    const IS_USED_LOCK: number;
    const LAST_INSERT_ID: number;
    const LCASE: number;
    const LEAST: number;
    const LENGTH: number;
    const LINEFROMTEXT: number;
    const LINEFROMWKB: number;
    const LINESTRINGFROMTEXT: number;
    const LINESTRINGFROMWKB: number;
    const LN: number;
    const LOAD_FILE: number;
    const LOCATE: number;
    const LOG: number;
    const LOG10: number;
    const LOG2: number;
    const LOWER: number;
    const LPAD: number;
    const LTRIM: number;
    const MAKEDATE: number;
    const MAKETIME: number;
    const MAKE_SET: number;
    const MASTER_POS_WAIT: number;
    const MBRCONTAINS: number;
    const MBRDISJOINT: number;
    const MBREQUAL: number;
    const MBRINTERSECTS: number;
    const MBROVERLAPS: number;
    const MBRTOUCHES: number;
    const MBRWITHIN: number;
    const MD5: number;
    const MLINEFROMTEXT: number;
    const MLINEFROMWKB: number;
    const MONTHNAME: number;
    const MPOINTFROMTEXT: number;
    const MPOINTFROMWKB: number;
    const MPOLYFROMTEXT: number;
    const MPOLYFROMWKB: number;
    const MULTILINESTRINGFROMTEXT: number;
    const MULTILINESTRINGFROMWKB: number;
    const MULTIPOINTFROMTEXT: number;
    const MULTIPOINTFROMWKB: number;
    const MULTIPOLYGONFROMTEXT: number;
    const MULTIPOLYGONFROMWKB: number;
    const NAME_CONST: number;
    const NULLIF: number;
    const NUMGEOMETRIES: number;
    const NUMINTERIORRINGS: number;
    const NUMPOINTS: number;
    const OCT: number;
    const OCTET_LENGTH: number;
    const ORD: number;
    const OVERLAPS: number;
    const PERIOD_ADD: number;
    const PERIOD_DIFF: number;
    const PI: number;
    const POINTFROMTEXT: number;
    const POINTFROMWKB: number;
    const POINTN: number;
    const POLYFROMTEXT: number;
    const POLYFROMWKB: number;
    const POLYGONFROMTEXT: number;
    const POLYGONFROMWKB: number;
    const POW: number;
    const POWER: number;
    const QUOTE: number;
    const RADIANS: number;
    const RAND: number;
    const RANDOM_BYTES: number;
    const RELEASE_LOCK: number;
    const REVERSE: number;
    const ROUND: number;
    const ROW_COUNT: number;
    const RPAD: number;
    const RTRIM: number;
    const SEC_TO_TIME: number;
    const SESSION_USER: number;
    const SHA: number;
    const SHA1: number;
    const SHA2: number;
    const SCHEMA_NAME: number;
    const SIGN: number;
    const SIN: number;
    const SLEEP: number;
    const SOUNDEX: number;
    const SQL_THREAD_WAIT_AFTER_GTIDS: number;
    const SQRT: number;
    const SRID: number;
    const STARTPOINT: number;
    const STRCMP: number;
    const STR_TO_DATE: number;
    const ST_AREA: number;
    const ST_ASBINARY: number;
    const ST_ASTEXT: number;
    const ST_ASWKB: number;
    const ST_ASWKT: number;
    const ST_BUFFER: number;
    const ST_CENTROID: number;
    const ST_CONTAINS: number;
    const ST_CROSSES: number;
    const ST_DIFFERENCE: number;
    const ST_DIMENSION: number;
    const ST_DISJOINT: number;
    const ST_DISTANCE: number;
    const ST_ENDPOINT: number;
    const ST_ENVELOPE: number;
    const ST_EQUALS: number;
    const ST_EXTERIORRING: number;
    const ST_GEOMCOLLFROMTEXT: number;
    const ST_GEOMCOLLFROMTXT: number;
    const ST_GEOMCOLLFROMWKB: number;
    const ST_GEOMETRYCOLLECTIONFROMTEXT: number;
    const ST_GEOMETRYCOLLECTIONFROMWKB: number;
    const ST_GEOMETRYFROMTEXT: number;
    const ST_GEOMETRYFROMWKB: number;
    const ST_GEOMETRYN: number;
    const ST_GEOMETRYTYPE: number;
    const ST_GEOMFROMTEXT: number;
    const ST_GEOMFROMWKB: number;
    const ST_INTERIORRINGN: number;
    const ST_INTERSECTION: number;
    const ST_INTERSECTS: number;
    const ST_ISCLOSED: number;
    const ST_ISEMPTY: number;
    const ST_ISSIMPLE: number;
    const ST_LINEFROMTEXT: number;
    const ST_LINEFROMWKB: number;
    const ST_LINESTRINGFROMTEXT: number;
    const ST_LINESTRINGFROMWKB: number;
    const ST_NUMGEOMETRIES: number;
    const ST_NUMINTERIORRING: number;
    const ST_NUMINTERIORRINGS: number;
    const ST_NUMPOINTS: number;
    const ST_OVERLAPS: number;
    const ST_POINTFROMTEXT: number;
    const ST_POINTFROMWKB: number;
    const ST_POINTN: number;
    const ST_POLYFROMTEXT: number;
    const ST_POLYFROMWKB: number;
    const ST_POLYGONFROMTEXT: number;
    const ST_POLYGONFROMWKB: number;
    const ST_SRID: number;
    const ST_STARTPOINT: number;
    const ST_SYMDIFFERENCE: number;
    const ST_TOUCHES: number;
    const ST_UNION: number;
    const ST_WITHIN: number;
    const ST_X: number;
    const ST_Y: number;
    const SUBDATE: number;
    const SUBSTRING_INDEX: number;
    const SUBTIME: number;
    const SYSTEM_USER: number;
    const TAN: number;
    const TIMEDIFF: number;
    const TIMESTAMPADD: number;
    const TIMESTAMPDIFF: number;
    const TIME_FORMAT: number;
    const TIME_TO_SEC: number;
    const TOUCHES: number;
    const TO_BASE64: number;
    const TO_DAYS: number;
    const TO_SECONDS: number;
    const UCASE: number;
    const UNCOMPRESS: number;
    const UNCOMPRESSED_LENGTH: number;
    const UNHEX: number;
    const UNIX_TIMESTAMP: number;
    const UPDATEXML: number;
    const UPPER: number;
    const UUID: number;
    const UUID_SHORT: number;
    const VALIDATE_PASSWORD_STRENGTH: number;
    const VERSION: number;
    const WAIT_UNTIL_SQL_THREAD_AFTER_GTIDS: number;
    const WEEKDAY: number;
    const WEEKOFYEAR: number;
    const WEIGHT_STRING: number;
    const WITHIN: number;
    const YEARWEEK: number;
    const Y_FUNCTION: number;
    const X_FUNCTION: number;
    const VAR_ASSIGN: number;
    const PLUS_ASSIGN: number;
    const MINUS_ASSIGN: number;
    const MULT_ASSIGN: number;
    const DIV_ASSIGN: number;
    const MOD_ASSIGN: number;
    const AND_ASSIGN: number;
    const XOR_ASSIGN: number;
    const OR_ASSIGN: number;
    const STAR: number;
    const DIVIDE: number;
    const MODULE: number;
    const PLUS: number;
    const MINUSMINUS: number;
    const MINUS: number;
    const DIV: number;
    const MOD: number;
    const EQUAL_SYMBOL: number;
    const GREATER_SYMBOL: number;
    const LESS_SYMBOL: number;
    const EXCLAMATION_SYMBOL: number;
    const BIT_NOT_OP: number;
    const BIT_OR_OP: number;
    const BIT_AND_OP: number;
    const BIT_XOR_OP: number;
    const DOT: number;
    const LR_BRACKET: number;
    const RR_BRACKET: number;
    const COMMA: number;
    const SEMI: number;
    const AT_SIGN: number;
    const ZERO_DECIMAL: number;
    const ONE_DECIMAL: number;
    const TWO_DECIMAL: number;
    const SINGLE_QUOTE_SYMB: number;
    const DOUBLE_QUOTE_SYMB: number;
    const REVERSE_QUOTE_SYMB: number;
    const COLON_SYMB: number;
    const CHARSET_REVERSE_QOUTE_STRING: number;
    const FILESIZE_LITERAL: number;
    const START_NATIONAL_STRING_LITERAL: number;
    const STRING_LITERAL: number;
    const DECIMAL_LITERAL: number;
    const HEXADECIMAL_LITERAL: number;
    const REAL_LITERAL: number;
    const NULL_SPEC_LITERAL: number;
    const BIT_STRING: number;
    const STRING_CHARSET_NAME: number;
    const DOT_ID: number;
    const ID: number;
    const REVERSE_QUOTE_ID: number;
    const STRING_USER_NAME: number;
    const LOCAL_ID: number;
    const GLOBAL_ID: number;
    const ERROR_RECONGNIGION: number;
    const MYSQLCOMMENT: number;
    const ERRORCHANNEL: number;
}
