"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const antlr4_1 = require("antlr4");
const PostgreSQLLexer_1 = require("../lib/pgsql/PostgreSQLLexer");
const PostgreSQLParser_1 = require("../lib/pgsql/PostgreSQLParser");
const basicParser_1 = require("./common/basicParser");
class PostgresSQL extends basicParser_1.default {
    createLexer(input) {
        const chars = new antlr4_1.InputStream(input.toUpperCase());
        const lexer = new PostgreSQLLexer_1.PostgreSQLLexer(chars);
        return lexer;
    }
    createParserFromLexer(lexer) {
        const tokenStream = new antlr4_1.CommonTokenStream(lexer);
        return new PostgreSQLParser_1.PostgreSQLParser(tokenStream);
    }
}
exports.default = PostgresSQL;
//# sourceMappingURL=pgsql.js.map